Name: schroot
Version: 1.6.3
Release: %mkrel 5
Summary: Execute commands in a chroot environment
Group: Development/Other
License: GPLv3+
URL: http://packages.debian.org/schroot
Source0: http://ftp.de.debian.org/debian/pool/main/s/schroot/%{name}_%{version}.orig.tar.xz
Patch0: schroot-pam.patch
Patch1: schroot-default-config-path.patch
BuildRequires: pam-devel
BuildRequires: boost-devel
BuildRequires: lockdev-devel
BuildRequires: gettext
BuildRequires: libuuid-devel
BuildRequires: lvm2
BuildRequires: cppunit-devel
BuildRequires: btrfs-progs

Suggests: lvm2
Suggests: btrfs-progs

%description
schroot allows users to execute commands or interactive shells in
different chroots.  Any number of named chroots may be created, and
access permissions given to each, including root access for normal
users, on a per-user or per-group basis.  Additionally, schroot can
switch to a different user in the chroot, using PAM for
authentication and authorisation.  
All operations are logged for security.

Several different types of chroot are supported, including normal
directories in the filesystem, and also block devices.  Sessions,
persistent chroots created on the fly from files (tar with optional
compression and zip) and LVM snapshots are also supported.

schroot supports kernel personalities, allowing the programs run
inside the chroot to have a different personality.  For example,
running 32-bit chroots on 64-bit systems, or even running binaries
from alternative operating systems such as SVR4 or Xenix.

schroot also integrates with sbuild, to allow building packages with
all supported chroot types, including session-managed chroot types
such as LVM snapshots.

schroot shares most of its options with dchroot, but offers vastly
more functionality.

%package -n dchroot
Group: Development/Other
Summary: Older tool similar to schroot

%description -n dchroot
dchroot allows users to execute commands or interactive shells in different 
chroots. Users can move between chroots as necessary. Enhanced functionality 
is available in the next generation tool called schroot.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure2_5x --disable-rpath --disable-static --enable-shared --enable-dchroot || ( cat config.log && exit 1 )
%make

%install
%makeinstall_std
mkdir -p %{buildroot}%{_localstatedir}/lib/schroot/session
mkdir -p %{buildroot}%{_sysconfdir}/schroot/chroot.d
/sbin/ldconfig -n %{buildroot}/%{_libdir}

# get rid of uneeded include and library files
rm -rf %{buildroot}%{_includedir}
rm -f %{buildroot}%{_libdir}/pkgconfig/sbuild.pc
rm -f %{buildroot}%{_libdir}/libsbuild.la
# rm -f %{buildroot}%{_libdir}/libsbuild.so*
rm -f %{buildroot}%{_libdir}/libsbuild.a

rm -rf %{buildroot}%{_sysconfdir}/schroot/sbuild
rm -rf %{buildroot}%{_bindir}/schroot-sbuild

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING AUTHORS ChangeLog HACKING NEWS README THANKS TODO
%config %{_sysconfdir}/bash_completion.d/schroot
%config %{_sysconfdir}/pam.d/schroot
%config(noreplace) %{_sysconfdir}/schroot
%verify(not mode) %attr(4755,root,root) %{_bindir}/schroot
#%#exclude %#{_bindir}/schroot-sbuild
%exclude %{_sysconfdir}/schroot/setup.d/15binfmt
%{_libexecdir}/schroot
%{_localstatedir}/lib/schroot
%{_datadir}/schroot
%{_mandir}/man1/schroot.1.*
%{_mandir}/man5/schroot-script-config.5.*
%{_mandir}/man5/schroot-setup.5.*
%{_mandir}/man5/schroot.conf.5.*
%{_mandir}/man7/schroot-faq.7.*
%{_libdir}/libsbuild.so*

%files -n dchroot
%{_bindir}/dchroot
%{_mandir}/man1/dchroot.1.*



%changelog

* Thu Apr 11 2013 ennael <ennael> 1.6.3-5.mga3
+ Revision: 409606
- rebuild for boost 1.53

* Mon Jan 14 2013 umeabot <umeabot> 1.6.3-4.mga3
+ Revision: 381806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.6.3-3.mga3
+ Revision: 333014
- rebuild for new boost

* Thu Sep 20 2012 philippem <philippem> 1.6.3-2.mga3
+ Revision: 296375
- add libsbuild packages

* Sun Sep 16 2012 philippem <philippem> 1.6.3-1.mga3
+ Revision: 294557
- New version 1.6.3

* Tue Jul 31 2012 fwang <fwang> 1.4.25-3.mga3
+ Revision: 276823
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 1.4.25-2.mga3
+ Revision: 249719
- rebuild for new boost

* Mon Mar 05 2012 philippem <philippem> 1.4.25-1.mga2
+ Revision: 218518
- Update to 1.4.25.

* Mon Nov 28 2011 fwang <fwang> 1.4.23-2.mga2
+ Revision: 173542
- rebuild for new boost

* Tue Sep 27 2011 philippem <philippem> 1.4.23-1.mga2
+ Revision: 149327
- update to new upstream 1.4.23 version

  + fwang <fwang>
    - fix group

  + stormi <stormi>
    - update release to ensure higher version than in mageia 1

* Tue Jun 28 2011 ahmad <ahmad> 1.4.22-1.mga2
+ Revision: 115195
- Add a patch to fix build with boost
- Add a dchroot sub-package

  + fwang <fwang>
    - use configure2_5x
    - use configure2_5x
    - rebuild for new boost

  + philippem <philippem>
    - New upstream stable release 1.4.22
      + Don't use rbind when mounting filesystems in the chroot
      + Session metadata includes the original chroot name
      + Improved man pages

* Mon Apr 25 2011 philippem <philippem> 1.4.21-2.mga1
+ Revision: 90249
-add patch for stat -add buildrequires and suggests btrfs-progs

* Fri Apr 22 2011 philippem <philippem> 1.4.21-1.mga1
+ Revision: 89742
- imported package schroot


* Fri Apr 22 2011 Philippe Makowski <philippem@mageia.org> - 1.4.21-mga1
- import in mageia from fedora

* Mon Mar 14 2011 Zach Carter <z.carter@f5.com> - 1.4.21-1
- rebuild for boost 1.46.1
- update to 1.4.21

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Zach Carter <z.carter@f5.com> - 1.4.19-1
- rebuild for new boost
- fix boost 1.46 build issue: leaf() function renamed to filename()
- update to 1.4.19

* Sun Feb 06 2011 Thomas Spura <tomspur@fedoraproject.org> - 1.4.10-2
- rebuild for new boost

* Mon Aug 16 2010 Zach Carter <z.carter@f5.com> - 1.4.10-1
- update to 1.4.10

* Fri Jul 30 2010 Zach Carter <z.carter@f5.com> - 1.4.2-6
- rebuild for boost 1.44 update

* Mon Jul 19 2010 Zach Carter <z.carter@f5.com> - 1.4.2-5
- fix configure and configure.ac to correct boost function call

* Fri Jul 16 2010 Zach Carter <z.carter@f5.com> - 1.4.2-4
- cat config.log on failure.

* Fri Jul 16 2010 Zach Carter <z.carter@f5.com> - 1.4.2-3
- Add some LIBS="-l<lib>" statements to fix build break.

* Wed Jul  7 2010 Zach Carter <z.carter@f5.com> - 1.4.2-2
- Licensing Guidelines Update - add license to dchroot subpackage.

* Thu May 27 2010 Zach Carter <z.carter@f5.com> - 1.4.2-1
- update to 1.4.2
- require libuuid-devel
- add /sbin directories to path in /etc/schroot/default/config BZ588200

* Sat Feb 13 2010 Zach Carter <z.carter@f5.com> - 1.2.3-5
- Specifically call out -lboost_system BZ564770

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 1.2.3-4
- Rebuild for Boost soname bump
- Fix more than one changelog

* Mon Aug  3 2009 Zach Carter <z.carter@f5.com> - 1.2.3-3
- re-add /etc/schroot/chroot.d directory

* Tue Jul 14 2009 Zach Carter <z.carter@f5.com> - 1.2.3-2
- fix "file listed twice" warnings

* Tue Jul 14 2009 Zach Carter <z.carter@f5.com> - 1.2.3-1
- new upstream version
- compile with --enable-static --disable-shared
- improve dchroot description
- define directory ownership
- add + to GPLv3 license definition

* Tue May  5 2009 Zach Carter <z.carter@f5.com> - 1.2.2-2
- schroot-bind-shm patch to fix DOS issue 

* Sat Apr 25 2009 Zach Carter <z.carter@f5.com> - 1.2.2-1
- update to 1.2.2

* Wed Nov  5 2008 Zach Carter <z.carter@f5.com> - 1.2.1-2
- move libsbuild subpackage into main package
- remove duplicate doc entries
- disable rpath
- defattr for dchroot files

* Mon Sep 15 2008 Zach Carter <z.carter@f5.com> - 1.2.1-1
- bump version to 1.2.1

* Tue May 20 2008 Zach Carter <z.carter@f5.com> - 1.2.0-1
- move dchroot.1.gz to correct subpackage
- removed superfluous Requires: statements
- moved i18n files into libsbuild subpackage
- removed tmpfs patch

* Mon May 12 2008 Zach Carter <z.carter@f5.com> - 1.2.0-1
- Initial version

